use crate::map::sources::{LayerSource, LayerTypeHint};
use std::convert::Into;
use std::sync::LazyLock;

pub static BASELAYER_OSM: LazyLock<LayerSource> = LazyLock::new(|| LayerSource {
    source_id: 0x572dd260332d5f7f,
    tile_url: "https://tile.openstreetmap.org/{z}/{x}/{y}.png".into(),
    display_name: "OpenStreetMap".into(),
    short_name: "OpenStreetMap".into(),
    type_hint: LayerTypeHint::Baselayer,
    location: "Worldwide".into(),
    source: "OpenStreetMap contributors".into(),
    source_link: "https://openstreetmap.org".into(),
    tile_size: 256,
    max_zoom: 19,
});
